Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.tree
Class AndNodeFilter

    java.lang.Object
      java.util.AbstractCollection
          java.util.AbstractList
              java.util.ArrayList
                  com.tonbeller.wcf.tree.AndNodeFilter

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Collection, java.util.List, NodeFilter, java.util.RandomAccess, java.io.Serializable

public class AndNodeFilter
extends java.util.ArrayList
implements NodeFilter

implements the AND function for NodeFilter

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Fields inherited from interface com.tonbeller.wcf.tree.NodeFilter
`FALSE_FILTER, TRUE_FILTER`

Constructor Summary
`AndNodeFilter()`

Method Summary
`boolean` | `accept(java.lang.Object node)`

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, remove, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, remove, removeAll, retainAll, subList`

Constructor Detail

### AndNodeFilter

    public AndNodeFilter()

Method Detail

### accept

    public boolean accept(java.lang.Object node)

  Specified by:
    `accept` in interface `NodeFilter`
  Returns:
    true if the node shall be visible in the tree component

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD